@import url('https://fonts.googleapis.com/css2?family=Bitter:wght@800&display=swap');
@import url(https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap);
.field:focus-within label {
	color: green !important;
}
input::placeholder {
  opacity: 0.5;
}
.frst_pic::after {
	content: "";
	display: block;
	background: #eee;  
	border: 1px solid #ccc;
	min-height: 250px;
}
.first_menu .item {
	border-top: 5px solid transparent;
}
.first_menu a.item:hover {
	border-top: 5px solid #21ba45;
}
.menu_full_w {
width: 100%;
}
.noHidden {
	overflow: '';
}
::placeholder { /* Most modern browsers support this now. */
   opacity: 0.1;
}
#mobile_menu {
	display: none;
}

#delivery_address div.text {
	white-space: nowrap;
	width: 210px;
	overflow: hidden;
}
#top_menu .number {
	background-color: white;
	font-family: Roboto !important;
	font-size: 11px !important;
	font-weight: 700 !important;
	border: 2px solid #333;
	border-radius: 5px;
	width: 38px;
	height: 24px;
	line-height: 20px;
	color: #666;
}

#captions text {
	cursor: pointer !important;
}

/* =============== ORDER OPEN =================== */

#order_grid {
	display: grid;
	grid-template-columns: 820px 1fr;
	grid-template-areas: "table more";
}
#order_grid_table {
	grid-area: table;
	border-right: 2px solid #999;
}
#order_name_div {
	background-color:#eee;
}
#order_addbt_div {
	background-color:#eee;
}
#order_grid_more {
	grid-area: more;
	background-color:#ddd;
	box-shadow: inset 1px 0 5px 0 #AAA; 
	overflow: hidden;
}

#order_grid_drawing {
	display: none;
	//grid-area: drawing;
}
#delivery_address_add {
	width: 400px !important;
}
#order_summary {
	background-color: #eee;
}

.edit_glass_btn_act {
	background-color: #ffe94a !important; 
	text-align: left; 
	color: #fff;
} 

#order_grid_drawing_pic > svg {
	max-width: 100%;
}

#shape_type_list {
	white-space : nowrap;
	border-bottom: 2px solid #fff;
	overflow: hidden; 
	overflow-x: auto; 
	padding:0; 
	height: 225px;
}

#upload_drawing {
	border-bottom: 2px solid #fff;
	height: 225px; 
}

.shapetypes {
	vertical-align:top;
	display: inline-block;
	cursor: pointer;
	height: 250px;
	width: 110px;
	padding: 7px;
	border-right: 2px solid rgba(255, 255, 255, 0.7);
}
.shapetypes img {
	width: 90px;
	display: block;
}
.shapetypes .form {
	display: none;
}
.shapetypes_active {
	background-color: rgba(255, 255, 255, 0.4)
}
.shapetypes_active .form {
	display: block;
	margin-top: 5px;
}
.shapetypes_active .form .label {
	background-color: #ccc;
	padding-top: 2px !important;
	height: 18px;
}
.shapetypes_active .form input {
	background-color: #fff !important;
	height: 18px;
}
.shapetypes_active .form .fields {
	margin: 0 -0.5em 0em !important;
}







.sandtypes {
	vertical-align:top;
	display: inline-block;
	cursor: pointer;
	height: 250px;
	width: 110px;
	padding: 7px;
	border-right: 2px solid rgba(255, 255, 255, 0.7);
}
.sandtypes img {
	width: 90px;
	display: block;
}
.sandtypes .form {
	display: none;
}
.sandtypes_active {
	background-color: rgba(255, 255, 255, 0.4)
}
.sandtypes_active .form {
	display: block;
	margin-top: 5px;
}
.sandtypes_active .form .label {
	background-color: #ccc;
	padding-top: 2px !important;
	height: 18px;
}
.sandtypes_active .form input {
	background-color: #fff !important;
	height: 18px;
}
.sandtypes_active .form .fields {
	margin: 0 -0.5em 0em !important;
}





.profiletypes {
	vertical-align: top;
	width: 65px;
	display: inline-block;
	padding-top: 5px;
	padding-bottom: 5px;
	cursor: pointer;
}
.profiletypes img {
	width: 60px;
	margin-top: 10px;
}
.profiletypes_active {
	background-color: rgba(255, 255, 255, 0.4);
	border: 2px solid #fff;
}
.leadtypes {
	vertical-align: top;
	width: 65px;
	display: inline-block;
	padding-top: 5px;
	padding-bottom: 5px;
	cursor: pointer;
}
.leadtypes img {
	width: 60px;
	margin-top: 10px;
}
.leadtypes_active {
	background-color: rgba(255, 255, 255, 0.4);
	border: 2px solid #fff;
}
.cutout_err {
	background-color: #FFB3B3;
}
.cutout_err > .cutout_header {
	background-color: #ff5353 !important;
}
.tab_list {
	white-space : nowrap;
	border-bottom: 2px solid #fff;
	overflow: hidden; 
	overflow-x: auto; 
	padding:0; 
	height: 225px; 
	line-height: 1;
}
.tab_list > div {
	display: inline-block;
	width: 100px;
	height: 225px;
	border-right: 2px solid #fff;
	padding-top: 5px;
}
.tab_list object {
	width: 100px;
	height: 100px;
}
.tab_list label {
	padding: 5px !important;
}
.tab_list .field {
	margin-bottom: 0px !important;
}
#order_open_messages .label {
	padding: 0.5833em 0.633em; 
	width: 30px; 
	text-align: center;
}

/* ============== ORDER ADMIN ================= */

#order_admin_status_dropdown .button {
	background-color: #eee;
}

#order_admin_status_dropdown .active {
	background-color: #fff;
	font-weight: bold;
}
.ui.multiple.dropdown > .text {
	margin: 0.25em !important;
}

/* =============== Clients ==================== */

#clients_page {
	display: grid;
	grid-template-columns: 5fr 5fr;
	grid-template-areas: "table more";
}
#clients_left {
	grid-area: table;
	display: grid;
	border-right: 2px solid #999;
}
#clients_more {
	grid-area: more;
	background-color:#ddd;
	box-shadow: inset 1px 0 5px 0 #AAA; 
	overflow-y: auto;
	padding: 30px;
}

/* =============== Materials ==================== */

#materials_page {
	display: grid;
	grid-template-columns: 720px 5fr;
	grid-template-areas: "table more";
}
#materials_left {
	grid-area: table;
	display: grid;
	border-right: 2px solid #999;
}
#materials_more {
	grid-area: more;
	background-color:#ddd;
	box-shadow: inset 1px 0 5px 0 #AAA; 
	overflow-y: auto;
	padding: 30px;
}

/* =============== Production ==================== */

#production_filter_containter {
	display: grid;
	grid-template-columns: 280px 1fr 280px;
	grid-template-areas: "filter table more";
}
#production_filter {
	grid-area: filter;
	border-right: 2px solid #999;
	box-shadow: inset 1px 0 5px 0 #AAA; 
	background-color:#eee;
}
.glass_selected {
	background-color: green;
}
table.prod_sel_table {
	width: 100%;
}
table.prod_sel_table td {
	font-size: 0.9em;
}
table.prod_sel_table td:nth-child(1) {
	padding-right:5px;
}
table.prod_sel_table td:nth-child(3) {
	font-size: 0.8em;
	padding-right:5px;
	color: #999;
}
table.prod_sel_table td:nth-child(2) {
	width:100%;
}
table.prod_sel_table td:nth-child(4) {
	font-size: 0.8em;
	color: #999;
}
table.prod_sel_table td:nth-child(5) {
	font-size: 0.8em;
	color: #333;
}
#production_left {
	grid-area: table;
	border-right: 2px solid #999;
}
#production_more {
	grid-area: more;
	background-color:#eee;
	box-shadow: inset 1px 0 5px 0 #AAA; 
	overflow: hidden;
	overflow-y: auto;
}
#production_sort_batchlist {
	width: 100%;
	border-collapse: collapse;
	cursor: pointer;
}


#production_sort_batchlist tr:hover {
	background-color: rgba(255,255,255,0.3);
}
#production_sort_batchlist td {
	border-bottom: 1px solid rgba(34, 36, 38, 0.15);
	padding: 3px 5px;
	font-size: 12px;
}
.md-date-footer {
    font-size: 14px;
    font-weight: 600;
    text-align: center;
    line-height: 26px;
}
div.calendar_fullscreen {
	position: absolute;
	top: 0;
	right: 0;
	left: 0;
	bottom: 0;
	height: 100%;
	background-color: #fff;
}
span.fc-icon-fullscreen {
	font-family: 'outline-icons' !important;
}
span.fc-icon-fullscreen::before {
  content: "\f24d";
}

/* ============ Tabulator header filter =========== */
.tabulator-header {
	background-color: #f1f9df;
}

.tabulator-header-filter input {
	border:1px solid #aaa;
	border-bottom: 2px solid #16ab39;
}

/* ============= Drawing svg ====================== */

/*
#captions {
	fill: black;
}
#svgGroup path:not(:first-child) {
	stroke: grey;
	stroke-width: 3;
	
	marker-start:url(#Arrow2Mstart);
	marker-end:url(#Arrow2Mend);
	
}
#captions text {
	stroke-width: 0mm;
}
#dimhelp {
	marker-start: none !important;
	marker-end: none !important;
	stroke: #aaaaaa !important;
	stroke-width: 1px !important;
	stroke-dasharray: 5 !important;
	fill: transparent !important;
}
*/

	#select_grid_size {
	   border-spacing: 0;
	   border-collapse: collapse;
	   margin-left: 5px;
	   margin-right: 5px;
	}
	#select_grid_size td {
		margin: 0;
		padding: 0;
		width: 7px;
		height: 6px;
		border: 2px solid #ccc;
		background-color:#fff;
	}
	
	#select_grid_size_lead {
	   border-spacing: 0;
	   border-collapse: collapse;
	   margin-left: 5px;
	   margin-right: 5px;
	}
	#select_grid_size_lead td {
		margin: 0;
		padding: 0;
		width: 7px;
		height: 6px;
		border: 2px solid #ccc;
		background-color:#fff;
	}
	
.pricelist_table td {
	font-size: 10px;
}
.pricelist_table td input {
	font-size: 10px;
	width: 50px;
}
#production_table .tabulator-group {
	padding: 0px;
	height: 4px;
	min-height: 4px;
	background-color: #CCC;
}
#production_table .tabulator-group-toggle {
	display:none;
}


.mbsc-timeline-resource, .mbsc-timeline-resource-col {
	width: 50px !important;
}

.mbsc-windows.mbsc-eventcalendar {
	background: transparent !important;
}
.mbsc-windows.mbsc-timeline-resource-header-cont {
	background: transparent !important;
}
.mbsc-windows.mbsc-timeline-header-bg {
	background: transparent !important;	
}
.mbsc-windows.mbsc-timeline-resource-bg {
	background: transparent !important;	
}
.mbsc-windows.mbsc-timeline-row, .mbsc-windows.mbsc-timeline-column, .mbsc-windows.mbsc-timeline-resource, .mbsc-windows.mbsc-timeline-header-date, .mbsc-windows.mbsc-timeline-header-week, .mbsc-timeline-resource-header-cont {
	border-color: #d6d6d6 !important;	
}

.dropHighlight {
	background-color: #36d900 !important;
	box-shadow: inset 0em 0em 5px #000;
}